use crate::db::{Dao, TenebrousDbConn};
use crate::errors::Error;
use crate::models::{characters::CharacterEntry, users::User};
use rocket::response::Redirect;
use rocket_contrib::templates::Template;

pub fn routes() -> Vec<rocket::Route> {
    routes![index, user_index]
}

#[get("/")]
fn user_index(user: &User, conn: TenebrousDbConn) -> Result<Template, Error> {
    use crate::routes::characters::TemplateContext;
    let characters = conn.load_character_list(user.id)?;

    let context = TemplateContext {
        characters: characters,
        user: user,
    };

    Ok(Template::render("index", &context))
}

#[get("/", rank = 2)]
fn index() -> Redirect {
    super::common::redirect_to_login()
}
